Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenNodeLabel

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenCommonBase, GenLabel, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenExternalNodeLabel

All Known Implementing Classes:
  GenExternalNodeLabelImpl, GenNodeLabelImpl

    public interface GenNodeLabel

extends GenLabel

A representation of the model object 'Gen Node Label'. Label within node

The following features are supported:

- `Node`

See Also:
  `GMFGenPackage.getGenNodeLabel()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints ocl='getMetaFeatures()->forAll(f|f.ecoreFeature.eContainingClass.isSuperTypeOf(node.getDomainMetaClass().ecoreClass))' description='Node label meta features must be owned by the node \'Meta Class\' or its super-classes'"

Field Summary

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLabel
`CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`GenNode` `getNode()` Returns the value of the 'Node' container reference.

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenLabel
`getMetaFeatures, getModelFacet, isElementIcon, isReadOnly, setElementIcon, setModelFacet, setReadOnly`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getNode

    GenNode getNode()

  Returns the value of the 'Node' container reference. It is bidirectional and its opposite is '`Labels`'.

  If the meaning of the 'Node' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Node' container reference.
  See Also:
    `GMFGenPackage.getGenNodeLabel_Node()`, `GenNode.getLabels()`
  ** Generated **
  Model:
    opposite="labels" resolveProxies="false" required="true" transient="false" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.